POST
/
v1
/
images
/
generations
图像生成
curl --request POST \
  --url https://infistar.ai/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "dall-e-3",
  "prompt": "一只可爱的猫咪在草地上玩耍",
  "n": 1,
  "size": "1024x1024",
  "quality": "standard",
  "style": "natural"
}
'
import requests

url = "https://infistar.ai/v1/images/generations"

payload = {
"model": "dall-e-3",
"prompt": "一只可爱的猫咪在草地上玩耍",
"n": 1,
"size": "1024x1024",
"quality": "standard",
"style": "natural"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'dall-e-3',
prompt: '一只可爱的猫咪在草地上玩耍',
n: 1,
size: '1024x1024',
quality: 'standard',
style: 'natural'
})
};

fetch('https://infistar.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200

成功